package com.huatek.busi.service;

import com.huatek.busi.entity.RMasterData;
import com.huatek.busi.vo.DeviceSubclassOrTestItemListVo;
import com.huatek.busi.vo.LabRMasterDataVo;
import com.huatek.torch.sql.beans.LocalUser;

import java.util.List;
import java.util.Map;

public interface IRMasterDataService {

    LabRMasterDataVo saveOrUpdateRMasterData(Map<String, Object> map, LocalUser user);

    List<RMasterData> findRMasterDataByEquType(String equType);

    int updateByRefIdsAndEquType(List<String> refIds, String equType);

    int updateByIdAndEquType(String eqType, String refId);

    List<DeviceSubclassOrTestItemListVo> deviceSubclassList(String equType);
}
